1. Liens
LitPRO API
  • Getting Started
  • Claimants
    • Get Claimants
      GET
    • Create Claimant
      POST
    • Get Claimant
      GET
    • Get Claimant Enrollments
      GET
    • Add Claimant Document
      POST
    • Update an Existing Claimant
      PUT
  • Settlements
    • Get Settlements
      GET
    • Create Settlement
      POST
    • Get Settlement
      GET
    • Update an Existing Settlement
      PUT
  • Liens
    • Get Liens
      GET
    • Get Lien
      GET
  • Projects
    • Get Projects
      GET
  • Invoices
    • Get Invoices
      GET
    • Get Invoice
      GET
  • Schemas
    • Sample Schemas
      • Settlements
      • Claimants
  1. Liens

Get Lien

GET
/liens/{id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://portal.litpro.com/api/v1/liens/' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": {
        "id": 0,
        "client": "string",
        "project": "string",
        "program": "string",
        "claimant": "string",
        "health_plan": "string",
        "plan_type": "string",
        "status": "string",
        "lienholder": "string",
        "lienholder_id": "string",
        "initial_lien_amount": 0,
        "initial_lien_date": "2019-08-24",
        "receipt_of_entitlement_date": "2019-08-24",
        "previously_recovered_amount": 0,
        "audited_lien_amount": 0,
        "audit_completed_date": "2019-08-24",
        "current_lien_amount": 0,
        "agreed_to_lien_amount": 0,
        "reduced_lien_amount": 0,
        "reduced_lien_date": "2019-08-24",
        "holdback_amount": 0,
        "amount_due": 0,
        "lien_status": "string",
        "claims": [
            {
                "treatment_date": "2019-08-24",
                "provider_name": "string",
                "icd_code": "string",
                "icd_description": "string",
                "paid": "string",
                "status": "string"
            }
        ],
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z"
    }
}
Modified at 2026-05-07 16:45:07
Previous
Get Liens
Next
Get Projects